Subject: bug#9674: 24.0.90; Closing an emacsclient frame always kills daemon

From: Chong Yidong <[email-masked]>
Date: Wed, 05 Oct 2011 17:45:50 -0400

Damien Cassou <[email-masked]> writes:

> I open emacs with the following:
>
> emacsclient --alternate-editor="" -c ~/.bashrc
>
> According to the manual, it creates a daemon if none is running and
> then creates a client by connecting to this daemon. I confirm this
> behavior by looking at the running processes: I have one process for
> emacsclient and one for emacs --daemon. However, as soon as I close
> the last running emacsclient (with C-x C-c or C-x #), the daemon is
> also terminated.

FWIW, I can't reproduce this (with a GTK build).  After typing C-x # or
C-x C-c, the server is not killed; a subsequent invocation of
emacsclient (via "emacsclient -c ~/.bashrc") accesses the server as
expected.